@echo off
CALL CDR_SetVar.bat

REM ------------------------------------------------------------------------------
rem mit CDRECORD eine ISO-Datei auf CD brennen.
rem Aufruf: brennen /CDRW [isofile.iso]
REM ------------------------------------------------------------------------------
Set DATEI=%CDR_ISO%
Set CDRW=0
Set SPEED=%CDR_CDR%

REM ------------------------------------------------------------------------------
REM OPTIONEN ABFRAGEN
REM ------------------------------------------------------------------------------
:OPT_LOOP
if "%1"=="" goto OPT_ENDE
if "%1"=="/CDRW" goto OPT_CDRW
if "%1"=="/cdrw" goto OPT_CDRW
Set DATEI=%1
goto OPT_NEXT
:OPT_CDRW
set CDRW=1
goto OPT_NEXT
:OPT_NEXT
shift
goto OPT_LOOP
:OPT_ENDE

ECHO -----------------------------------------------------------------------------
ECHO Rohlingstyp wird ermittelt...
cdrecord %CDR_DEV% -atip > %TEMP%\CDR_INFO.TXT
if errorlevel 1 goto ERROR

find "Is not erasable" %TEMP%\CDR_INFO.TXT > NUL
set CDRW=%ERRORLEVEL%
ECHO.

if "%CDRW%"=="0" goto BRENNEN_CDR
if "%CDRW%"=="1" goto BRENNEN_CDRW

REM ------------------------------------------------------------------------------
ECHO Medium nicht erkannt!
goto BRENNEN_CDR

REM ------------------------------------------------------------------------------
:BRENNEN_CDRW
ECHO Verwende Medium: CD-RW, %CDR_CDRW%, Rohling loeschen
Set SPEED=%CDR_CDRW%
goto LOESCHEN

REM ------------------------------------------------------------------------------
:BRENNEN_CDR
ECHO Verwende Medium: CD-RW, %CDR_CDR%
Set SPEED=%CDR_CDR%
goto BRENNEN

REM ------------------------------------------------------------------------------
REM CDRECORD BRENNT IMAGE AUF CD...
REM ------------------------------------------------------------------------------
:BRENNEN
ECHO -----------------------------------------------------------------------------
ECHO ISO-Image wird gebrannt: %DATEI%
ECHO.
cdrecord %CDR_DEV% %CDR_OPT% %SPEED% %CDR_STD% %CDR_EJECT% %DATEI%
if errorlevel 65535 goto BRENNEN_OK
if errorlevel 1 goto ERROR
goto BRENNEN_OK

:BRENNEN_OK
ECHO.
ECHO VORGANG WURDE FEHLERFREI ABGESCHLOSSEN!
ECHO --------------------------------------------------[CDR_BRENNEN.BAT]-[W.POPP]-
ECHO.
if "%CDR_EJECT%"=="" goto EXIT
goto LOAD

REM ------------------------------------------------------------------------------
REM FEHLER BEIM BRENNEN AUFGETRETEN
REM ------------------------------------------------------------------------------
:ERROR
ECHO.
ECHO VORGANG WURDE MIT FEHLER #%ERRORLEVEL% ABGEBROCHEN!
ECHO --------------------------------------------------[CDR_BRENNEN.BAT]-[W.POPP]-
PAUSE
ECHO.
goto EXIT

REM ------------------------------------------------------------------------------
REM /CDRW -- CDRW vor dem Brennen loeschen...
REM ------------------------------------------------------------------------------
:LOESCHEN
CALL CDR_FORMAT.BAT
if errorlevel 1 goto EXIT
goto BRENNEN

REM ------------------------------------------------------------------------------
REM Schublade wieder einziehen...
REM ------------------------------------------------------------------------------
:LOAD
CALL CDR_LOAD.BAT
if errorlevel 1 goto EXIT
goto EXIT

:EXIT
Set DATEI=
Set CDRW=
Set SPEED=